#include "png.h"

/*
    Old versions of libpng do not contain some functions that pdfTeX uses, so
    we must use correct library.
    Fri Sep  4 23:40:11 CEST 1998 (pj)

    If your compiler can not eat this, you should use ANSI-C compliant one.
    Please report it to pdfTeX@tug.org too.
    Thu Sep 10 22:18:29 CEST 1998 (pj)
*/

#if PNG_LIBPNG_VER < 10001
#error "Your system libpng is too old for pdfTeX, please use pdfTeX's one."
#endif /* PNG_LIBPNG_VER < 10001 */

#include "jpg.h"
#include "tiffx.h"

typedef struct {
    png_structp png_ptr;
    png_infop info_ptr;
} png_image_struct;

typedef struct {
    int width;
    int height;
    int orig_x;
    int orig_y;
    int selected_page;
    void *doc;
    void *xref;
} pdf_image_struct;

typedef struct {
    short image_type;
    char *image_name;
    union {
        pdf_image_struct *pdf;
        png_image_struct png;
        JPG_IMAGE_INFO *jpg;
        TIFF_IMAGE_INFO *tiff;
    } image_struct;
} image_entry;

extern image_entry *image_ptr, *image_tab;
extern integer image_max;

extern void read_pdf_info(char*, integer);
extern void write_epdf(void);
extern void epdf_delete(void);
extern void read_png_info(integer);
extern void write_png(integer);
extern void read_jpg_info(integer);
extern void write_jpg(integer);
extern void read_tiff_info(integer);
extern void write_tiff(integer);
